Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions
tlp::SizeWidget Class Reference

Simple Size edition widget. Allow the user to input negative sizes. More...

`#include <SizeWidget.h>`

List of all members.

## Public Slots

- void setSize (const tlp::Size &size)
    Set the size displayed by this widget. Emit the sizeChanged signals.

## Signals

- void sizeChanged (tlp::Size size)

## Public Member Functions

- SizeWidget (QWidget *parent=NULL)
- ~SizeWidget ()
- tlp::Size size () const

## Detailed Description

Simple Size edition widget. Allow the user to input negative sizes.

## Constructor & Destructor Documentation

tlp::SizeWidget::SizeWidget | ( | QWidget * | parent = `NULL` | ) | `[explicit]`

tlp::SizeWidget::~SizeWidget | ( |  | ) |

## Member Function Documentation

void tlp::SizeWidget::setSize | ( | const tlp::Size & | size | ) | `[slot]`

Set the size displayed by this widget. Emit the sizeChanged signals.

tlp::Size tlp::SizeWidget::size | ( |  | ) | const

void tlp::SizeWidget::sizeChanged | ( | tlp::Size | size | ) | `[signal]`

Tulip Software by LaBRI Visualization Team 2001 - 2012